> For the complete documentation index, see [llms.txt](https://docs.keeper.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.keeper.io/keeperpam/jp/privileged-access-manager/universal-secrets-sync/discovery-using-commander.md).

# コマンダーを使用したユニバーサルシークレット同期

## 概要

本ページでは、KeeperコマンダーでUSSを使用して、対象クラウドのシークレットインフラ内のリソースを同期する方法について取り扱います。

## 要件

コマンダーでUSSを使用する前に、[ユニバーサルシークレット同期の基本](/keeperpam/jp/privileged-access-manager/universal-secrets-sync/discovery-basics.md)をご参照ください。

{% hint style="info" icon="pencil-line" %}
対応するPAM構成のUSS設定でドライランが選択されている場合にのみ、コマンダーから同期を開始する必要があります。それ以外の場合、USSは自動的に実行されます。
{% endhint %}

### コマンダーの起動

`keeper shell` コマンドでKeeperコマンダーCLIにログインします。

```
$ keeper shell
```

### 構成の一覧

`pam config list` または `pam c l` コマンドを実行し、すべての構成を一覧表示します。

```
My Vault> pam config list
UID                     Config Name                   Config Type              Shared Folder                                              Gateway UID             Resource Record UIDs
----------------------  ----------------------------  -----------------------  ---------------------------------------------------------  ----------------------  ----------------------
qZkz5qoShpQL2J_TKurbRw  AWS USS Configuration         pamAwsConfiguration      AWS USS Folder - Users (yEW84228pFIEsbHPokxGjg)            Wu6-vzjOSJKOs3xGvmO74w
BtRLYDwx0AtvN2kaMbS-gQ  AWS USS Configuration IE      pamAwsConfiguration      AWS USS Folder - Users (yEW84228pFIEsbHPokxGjg)            Wu6-vzjOSJKOs3xGvmO74w
Fp_Nt9sI-fjd4n4jhOdMrw  Azure USS Configuration       pamAzureConfiguration    AWS USS Folder - Users (yEW84228pFIEsbHPokxGjg)            Wu6-vzjOSJKOs3xGvmO74w
e-oiP-gCEeatNVpLrVZ6Tg  GCP PAM Config                pamGcpConfiguration      Local Gateway Folder - Resources (KBfF0jOvPg6FxOZyz2xNzA)  1MX6ZTJPQWmHF1S_CRQ3Gw
VjFRx3_0kMyedeAKuQSpcQ  GCP USS Configuration         pamGcpConfiguration      AWS USS Folder - Users (yEW84228pFIEsbHPokxGjg)            Wu6-vzjOSJKOs3xGvmO74w
mzkHNi21uEB8bpxa228bjw  Local Gateway Configuration   pamNetworkConfiguration  Local Gateway Folder - Users (jkj1rVit39QcJJM70lMCDQ)      1MX6ZTJPQWmHF1S_CRQ3Gw
My Vault>
```

同期プロセスを開始するには、構成UIDが必要です。

### 同期ジョブの開始 <a href="#start-sync-job" id="start-sync-job"></a>

`pam universal-sync-run` コマンドで同期ジョブを開始します。`-n` オプションで構成UIDを指定する必要があります。

```
pam universal-sync-run -n qZkz5qoShpQL2J_TKurbRw
```

同期ジョブがスケジュールされ、アクションIDを含む確認メッセージが返されます。

```
Scheduled action id: x9hDVky/06kfEmbpJl7K0A==
The action has been scheduled, use command 'pam action job-info x9hDVky/06kfEmbpJl7K0A== --gateway=Wu6-vzjOSJKOs3xGvmO74w' to get status of the scheduled action
After action is finished, use: 'pam usc list -n qZkz5qoShpQL2J_TKurbRw' to view sync results
```

### ジョブステータスの確認

上記で返されたアクションIDとゲートウェイUIDを指定して `pam action job-info` コマンドを実行し、ジョブが完了したかどうかを確認します。

```
pam action job-info x9hDVky/06kfEmbpJl7K0A== --gateway=Wu6-vzjOSJKOs3xGvmO74w
```

### 同期結果の表示

ジョブが完了したら、構成UIDを指定して `pam usc list` を実行し、同期結果を表示します。

```
pam usc list -n qZkz5qoShpQL2J_TKurbRw
```

以下は、構成の詳細と各フォルダの同期ステータスを示すサンプル出力です。すべてのフォルダのステータスが `Success` であること、および最終同期タイムスタンプがジョブ完了時刻を反映していることを確認してください。いずれかのフォルダのステータスが `Failed` の場合は、エラーが発生しています。ゲートウェイログを確認し、同期IDが対象クラウドのシークレットマネージャーに対して正しい権限を持っていることを確認してください。

```
UID              qZkz5qoShpQL2J_TKurbRw
Name             AWS USS Configuration
Config Type      pamAwsConfiguration
Enabled          Yes
Dry Run          Yes
Vault Name       N/A
Sync Identity    N/A

Folders (3)

Cloud Secrets AWS
  Last Synced    2026-06-08 14:24:56
  Status         Success

Cloud Secrets AWS #2
  Last Synced    2026-06-08 14:24:56
  Status         Success

Cloud Secrets AWS #3
  Last Synced    2026-06-08 14:24:56
  Status         Success
```

### コマンダーリファレンス <a href="#commander-reference" id="commander-reference"></a>

Keeperコマンダーには、ゲートウェイ、構成、ローテーション、同期の管理など、多くの高度な機能があります。利用可能なすべてのオプションについては、[KeeperPAMコマンド](/keeperpam/jp/commander-cli/command-reference/keeperpam-commands.md)をご参照ください。

#### 関連ページ

* [USS概要](/keeperpam/jp/privileged-access-manager/universal-secrets-sync.md#pdf-page-dqtjnnk6pra4mfdizdco-what-is-keeper-discovery): 機能の概要、アーキテクチャ、主な機能
* [ユニバーサルシークレット同期の基本](/keeperpam/jp/privileged-access-manager/universal-secrets-sync/discovery-basics.md): 要件とPAM構成のセットアップ
* [移行ガイド](/keeperpam/jp/privileged-access-manager/universal-secrets-sync/universal-secrets-sync-migration-guide.md): 既存のクラウドシークレットのインポートと、1つのワークフローでのUSS構成
* [ボルトを使用したユニバーサルシークレット同期](/keeperpam/jp/privileged-access-manager/universal-secrets-sync/discovery-using-the-vault.md): ボルトUIによる段階的な操作手順


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.keeper.io/keeperpam/jp/privileged-access-manager/universal-secrets-sync/discovery-using-commander.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
